Package org.apache.sysds.runtime.transform.tokenize

## Class DocumentRepresentation

- java.lang.Object
- - org.apache.sysds.runtime.transform.tokenize.DocumentRepresentation

    public class DocumentRepresentation
    extends Object

### Field Summary

Fields
`List<Object>` `keys`
`List<Token>` `tokens`

### Constructor Summary

Constructors
`DocumentRepresentation​(List<Object> keys, List<Token> tokens)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Token>` `getTokens()`
`void` `splitIntoNgrams​(int minGram, int maxGram)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### keys

    public List<Object> keys

#### tokens

    public List<Token> tokens

### Constructor Detail

#### DocumentRepresentation

    public DocumentRepresentation​(List<Object> keys,
                                  List<Token> tokens)

### Method Detail

#### getTokens

    public List<Token> getTokens()

#### splitIntoNgrams

    public void splitIntoNgrams​(int minGram,
                                int maxGram)